Kerbal Space Program - Bug #3869

OSX Crashing
12/18/2014 07:03 AM - atabbott

Status: Updated Start date: 12/18/2014
Severity: Normal % Done: 10%
Assignee:

Category: Gameplay

Target version:

Version: 0.90 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

| recently purchased a new mac, default installed with OSX 10.10. I've just started running KSP (installed from steam) on it and find it
crashes very frequently. | previously had another mac that | ran KSP on before this one, | never tried it OSX 10.10 however, just 10.9
which leads me to believe this might be the cause of the issue.

It seems to occur in two main situations once the game has been running approximately at least a couple of minutes:

Reverting to either VAB/SPH or launch (approx. 20% of the time this action is preformed)

Entering into a building at the Kerbal Space Center, in particular the VAB, the SPH and the tracking station (approx. 20% of the time
this action is performed)

The loading screen will appear, my mouse will become the spinning colourful wheel, KSP will exit and the standard 'Kerbal Space
Program has quit unexpectedly' dialog will appear.

Specs are (although it will say in the provided log):

MacBook Pro MacBook Pro (Retina, 15-inch, Mid 2014)

0S: 0SX 10.10.1

Processor: 2.5 GHz Intel Core i7

Memory: 16GB 1600 MHz DDR3

Graphics: Nvidia GeForce GT 750M 2GB (and Intel Iris Pro 1536MB)

For the game the log is from, | created a new sandbox (happens in both career and sandbox) save (it happens less frequently with
new saves) | built a low part count ship (approx 15 parts) launched it and reverted it twice, then moved in and out of various buildings
before the error occurred, while entering the VAB.

Thanks in advanced.

History

#1 - 12/19/2014 07:13 PM - sherkaner
- File Player.log added

I've got just the same issue as described. Very, very frequent -- | can't hardly play for more than 20 minutes without a crash or spinning beachball
stage requiring a force quit. Memory usage doesn't seem extraordinary -- just 2.1G or so (out of the 16G installed). | have:

OS X 10.10.1

MacBook Pro (Retina, 15-inch, Late 2013)
Processor: 2.6 GHz Intel Core i7

Memory: 16 GB 1600 MHz DDR3

Graphics: NVIDIA GeForce GT 750M 2048 MB

Log attached.
#2 - 12/20/2014 01:21 AM - RexKramer
atabbott and sherkaner, thanks for the info. Couple of questions-

1. Did you download from the KSP store or Steam?
2. Are either of you using any mods, and if so which ones?

The player.log file was certainly full of interesting things. If you get another instance of this happening, maybe couldn't hurt to attach another
player.log file of the event.

#3 - 12/20/2014 02:23 AM - atabbott

| downloaded my version from steam. I'm running the latest version of the steam client and have tried uninstalling and reinstalling the game multiple
times on this version as | read that earlier versions had some difficulties with 10.10. My memory usage is equally nothing special, hovering around
2GB.

I've tried with both mods and without them. Currently I'm playing without them as as far as | can tell it seems to help, if only a bit. The log provided is
from a game with no mods.

Just for further information | was having the same issue on the 0.25 build just prior to updating to 0.90.
| didn't realise the player.log file was of more use to you. I'll attach a copy of one containing a crashed game in a few hours.

#4 - 12/20/2014 08:00 AM - BobV
- File Player.log added

Adding a player.log that appears to show infinite recursion in mono_traverse_objects while trying to switch to the R&D screen after a launch.
#5 - 12/20/2014 12:41 PM - sherkaner

| downloaded from Steam, and like atabbott also tried deleting and reinstalling it. No mods installed currently, or when | took that player.log.
I'll play a bit later and generate another log or two.

#6 - 12/20/2014 04:46 PM - sherkaner

- File Problem Report.txt added
- File Player.log added

Okay, | played for a bit and got another crash, this time just as | clicked to put my rocket on the pad. This time it was a hard and fast crash
(sometimes | just get an endless beachball and have to force quit) so | got the crash window with a "Problem Report" -- I'm attaching both the
Player.log and the report if that's helpful.

Thanks for looking into this!

#7 - 12/20/2014 05:13 PM - richardwang5000

- File Player.log added

Same issue, downloaded from Steam, using no mods. Attaching my player.log for help in research.

#8 - 12/20/2014 05:14 PM - sherkaner
- File Problem Report 2.txt added

Another crash, this time when reverting a flight to the VAB. Oddly a new Player.log wasn't generated, so I'm only attaching the Problem Report.
#9 - 12/21/2014 09:47 AM - RexKramer

Thanks for the updates.

It looks like this is primarily affecting OSX 10.10, mostly from Steam downloads. Has anyone managed to reproduce this from a KSP store
download? Just curious.

Perhaps try greatly reducing KSPs graphics qualities, to see if that reduces or eliminates the crashes. I'm grabbing at straws until someone with more
knowledge of the issue checks in.

#10 - 12/21/2014 10:57 AM - richardwang5000
- File crashlog.rtf added
- File Player.log added

Attempted to turn graphics to 'Beautiful' - still crashing. Will attempt lower settings.
Attached is player.log and OSX generated crash log.

#11 - 12/21/2014 09:55 PM - drivec

I'm getting the same problem here. Downloaded from Steam. Haven't tried a KSP store version.

04/10/2024 2/19



It looks like it's maybe a memory leak. If you reduce the graphics, it uses less memory, and will last longer before it runs out of memory.

#12 - 12/22/2014 09:58 PM - threewholepunch

- File Player.log added

Hi,

Adding another player.log of this issue for reference.

I would like to add that these crashes started to occur post-yosemite upgrade, on my machine anyway.
Joels-MacBook-Pro:~ joel$ mono —--version

Mono JIT compiler version 3.10.0 ((detached/92c4884 Thu Nov 13 23:27:38 EST 2014)
Copyright (C) 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com

TLS: normal

SIGSEGV: altstack

Notification: kqueue

Architecture: x86

Disabled: none

Misc: softdebug

LLVM: yes (3.4svn-mono- (detached/e656cac)
GC: sgen

Joels-MacBook-Pro:~ joel$

#13 - 01/18/2015 11:31 AM - DSKY
- File Player.log 2.zip added

Here's another player log. | can send you a new one about every 20 minutes as sherkaner mentioned. Switching scenes is like playing Kerbin
Roulette. Sometimes you get lucky and it doesn't freeze, but not more than about three times per restart. If Activity Monitor shows KSP is using more
than about 2.3 GB, it is almost certain to freeze. Saving a game (auto or quick) is less dicey - only crashes about 20% of the time.

This has been an issue for the year or so that I've been playing, and actually seems to get worse with each new version. Given how predictable it is,
and how many people are experiencing the same problem (memory management issues in general), | don't understand why addressing the memory
issues isn't your top priority.

#14 - 01/18/2015 07:10 PM - RexKramer

Threewholepunch, it looks like one of your installed mods, Kerbal Alarm Clock, is throwing errors out right before the crash.

#15 - 01/19/2015 08:16 AM - Squelch
DSKY wrote:
This has been an issue for the year or so that I've been playing, and actually seems to get worse with each new version. Given how predictable it

is, and how many people are experiencing the same problem (memory management issues in general), | don't understand why addressing the
memory issues isn't your top priority.

The memory issues in the stock game have been acknowledged and are being addressed. However, running mods will only add to, and probably
exacerbate any problems there already are. While mods are supported and encouraged, we cannot support them in this bug tracker. To identify the
root of the issue, we must remove as many variables as possible, including mods and plugins.

| note that you are running several mods according to your log, and a couple appear to be out of date. It is recommended to Keep up to date with any
installed mods, and could possibly alleviate the memory burden in your game. Does KSP crash every 20 mins without mods installed?

Thank you for your continued reports and suggestions, they are very helpful, but please do bear in mind the above.

#16 - 01/19/2015 06:57 PM - spudbean

On upgrading to 0.90, | repeatedly had this crashing problem. Every 20-30 minutes from memory. Each time | observed that KSP's memory usage
was upwards of 2GB. The main memory culprit is usually textures, so | set "Texture Quality" to "Half Res". http:/i.imgur.com/T5Mibun.png

That one change removed all crashing. So that's a good workaround. But this crashing seems to be reproducible in every vanilla 0.90 install I've
created. Perhaps the default texture quality for OSX should be "Half Res"?

My specs: MacBook Pro (Retina, 15-inch, Late 2013), 2.6 GHz Intel Core i7, 16 GB, Intel Iris Pro 1536 MB.

#17 - 01/28/2015 08:06 AM - mecki
Pleas also see http:/bugs.kerbalspaceprogram.com/issues/1976#change-16575

#18 - 02/03/2015 01:17 PM - Elderoy
Hello There !

Same problem here. Everything was fine until | upgraded to 0.90.
I ran the console during my last attempt to play, this is what it says (I just pasted all things wich sounded relative to steam or KSP during my play)

03/02/2015 19:47:08,889 KSP[405]: WARNING: The Gestalt selector gestaltSystemVersion is returning 10.9.2 inste
ad of 10.10.2. Use NSProcessInfo's operatingSystemVersion property to get correct system version number.
Call location:

03/02/2015 19:47:08,893 KSP[405]: O CarbonCore 0x9886a7c7 ___ Gestalt_SystemVersion_
block_invoke + 135

03/02/2015 19:47:08,893 KSP[405]: 1 libdispatch.dylib 0x94d72130 _dispatch_client_callout
+ 50

03/02/2015 19:47:08,893 KSP[405]: 2 libdispatch.dylib 0x94d720b5 dispatch_once_f + 251
03/02/2015 19:47:08,893 KSP[405]: 3 libdispatch.dylib 0x94d730d8 dispatch_once + 31
03/02/2015 19:47:08,893 KSP[405]: 4 CarbonCore 0x987fce88 _Gestalt_SystemVersion +
1050

03/02/2015 19:47:08,893 KSP[405]: 5 CarbonCore 0x987fca39 Gestalt + 150

03/02/2015 19:47:08,894 KSP[405]: 6 KSP 0x0068b0d8 _ZN12GraphicsCaps6InitGLE
v + 5736

03/02/2015 19:49:44,000 kernel[0]: process KSP[405] thread 3997 caught burning CPU!; EXC_RESOURCE supressed du
e to audio playback

03/02/2015 19:50:28,000 kernel[0]: process steam_osx[350] caught causing excessive wakeups. EXC_RESOURCE supre
ssed due to audio playback

03/02/2015 19:51:02,000 kernel[0]: process gameoverlayui[408] caught causing excessive wakeups. EXC_RESOURCE s
upressed due to audio playback

03/02/2015 19:58:55,737 KSP[405]: KSP (405,0xa055f1d4) malloc: *** mach_vm_map(size=4198400) failed (error code
=3)

*** error: can't allocate region

*** set a breakpoint in malloc_error_break to debug

03/02/2015 19:58:56,217 KSP[405]: KSP (405, 0xb0bcb000) malloc: *** mach_vm_map (size=17305600) failed (error cod
e=3)

*** error: can't allocate region

*** set a breakpoint in malloc_error_break to debug

And then it repeats the last message every second fo a while...
Hope it can help

I'm running with steam on a MacBook Pro (Retina, 15-inch, Late 2013), 2.3 GHz Intel Core i7, 16 GB DDRS3, Nvidia GT 750M 2048 MB, OSX 10.10.2.

#19 - 02/08/2015 08:55 PM - bbhart

Happens to me, too. I'm running a vanilla install from Steam -- no plugins or anything. Running Yosemite. Can't play for more than 10 minutes or so
at a time before game halts with either an exception or a hard freeze requiring kill -9.

Model Name: MacBook Pro
Model Identifier: MacBookPro11,3
Processor Name: Intel Core i7
Processor Speed: 2.8 GHz
Number of Processors: 1

Total Number of Cores: 4

L2 Cache (per Core): 256 KB

L3 Cache: 6 MB

Memory: 16 GB

Chipset Model: NVIDIA GeForce GT 750M
Type: GPU

Bus: PCle

PCle Lane Width: x8

VRAM (Total): 2048 MB

#20 - 04/30/2015 11:35 PM - ankit.ag.in@gmail.com

bbhart wrote:

Happens to me, too. I'm running a vanilla install from Steam -- no plugins or anything. Running Yosemite. Can't play for more than 10 minutes
or so at a time before game halts with either an exception or a hard freeze requiring kill -9.
Model Name: MacBook Pro
Model Identifier: MacBookPro11,3
Processor Name: Intel Core i7
Processor Speed: 2.8 GHz
Number of Processors: 1

Total Number of Cores: 4

L2 Cache (per Core): 256 KB

L3 Cache: 6 MB

Memory: 16 GB

Chipset Model: NVIDIA GeForce GT 750M
Type: GPU

Bus: PCle

PCle Lane Width: x8

VRAM (Total): 2048 MB

Same problem here as well, just bought KSP 1.0 but the crashes are so often and unpredictable that its impossible to play. Please take this over any
other fixes you might be planning, it is effectively a dead end for mac users.

#21 - 05/01/2015 08:56 AM - edgarageous

ankit.ag.in@gmail.com wrote:

bbhart wrote:

Happens to me, too. I'm running a vanilla install from Steam -- no plugins or anything. Running Yosemite. Can't play for more than 10
minutes or so at a time before game halts with either an exception or a hard freeze requiring kill -9.

Model Name: MacBook Pro
Model Identifier: MacBookPro11,3
Processor Name: Intel Core i7
Processor Speed: 2.8 GHz
Number of Processors: 1

Total Number of Cores: 4

L2 Cache (per Core): 256 KB

L3 Cache: 6 MB

Memory: 16 GB

Chipset Model: NVIDIA GeForce GT 750M
Type: GPU

Bus: PCle

PCle Lane Width: x8

VRAM (Total): 2048 MB

Same problem here as well, just bought KSP 1.0 but the crashes are so often and unpredictable that its impossible to play. Please take this over
any other fixes you might be planning, it is effectively a dead end for mac users.

Same problem here. | waited to buy until 1.0 expecting that stability issues to be ironed out. If a fix isn't available soon, I'll be seeking a refund.

#22 - 05/01/2015 12:59 PM - Naidis

Same here, crash frequency get higher if | choose higher texture, and it can crash in 20mins if | choose the highest texture and render quality.
Reinstalling and playing without mods doesn't help.

#23 - 05/02/2015 04:06 PM - shaunclayton
- File Player-3.log added

Hello, | also have the same issue. Vanilla install with Steam.
Seems to crash any time | go back to the KSC from flight mode.

KSP Version 1.0.2 (Steam)
Model Name: iMac

Model Identifier: iMac13,2
Processor Name: Intel Core i7
Processor Speed: 3.4 GHz
Number of Processors: 1
Total Number of Cores: 4

L2 Cache (per Core): 256 KB
L3 Cache: 8 MB

Memory: 24 GB

Chipset Model: NVIDIA GeForce GTX 680MX
Type: GPU
Bus: PCle
PCle Lane Width: x16
VRAM (Total): 2048 MB

Process: KSP [635]

Path: /Users/USER/Library/Application Support/Steam/*/KSP.app/Contents/MacOS/KSP
Identifier: unity.Squad.Kerbal Space Program
Version: Unity Player version 4.6.4f1 (4.6.4f1)
Code Type: X86 (Native)

Parent Process: ??7? [1]

Responsible: KSP [635]

User ID: 501

Date/Time: 2015-05-02 10:55:10.337 -0500
OS Version: Mac OS X 10.10.3 (14D136)
Report Version: 11

Anonymous UUID: 8D77AA24-7A81-8C1A-04FA-FO558CDF7196
Sleep/Wake UUID: 5CEB68C3-E2DC-4845-B80D-EA496086A902

Time Awake Since Boot: 3000 seconds
Time Since Wake: 1100 seconds

Crashed Thread: 0 MainThrd Dispatch queue: com.apple.main-thread

Exception Type: EXC_BAD_ACCESS (SIGABRT)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000000

VM Regions Near 0:

-—>

_ TEXT 0000000000001000-0000000000b80000 [ 11.5M] r-x/rwx SM=COW /Users/USER/Library/Application
Support/Steam/*/KSP.app/Contents/MacOS/KSP

Application Specific Information:
abort() called

Thread 0 Crashed:: MainThrd Dispatch queue: com.apple.main-thread

0 libsystem_kernel.dylib 0x98ff169a pthread kill + 10

1 libsystem_pthread.dylib 0x9b954f19 pthread kill + 101

2 libsystem_c.dylib 0x97fadeee abort + 156

3 libmono.0.dylib 0x0135¢51d mono_handle_native_sigsegv + 881

4 libmono.0.dylib 0x01395c¢3a sigabrt_signal_handler + 99

5 libsystem_platform.dylib 0x91fca03b _sigtramp + 43

6 ? OxfFfffffff 0 + 4294967295

7 libmono.0.dylib 0x01395bd7 sigusri_signal_handler + 159

8 libsystem_c.dylib 0x97fadeee abort + 156

9 unity.Squad.Kerbal Space Program 0x0034a822 HandleSignal(int, __siginfo*, void*) + 34
10 libmono.0.dylib 0x0139581a mono_chain_signal + 76

11 libmono.0.dylib 0x012dfae2 mono_sigsegv_signal_handler + 234

12 libsystem_platform.dylib 0x91fca03b _sigtramp + 43

13 ? Oxffffffff 0 + 4294967295

14 libmono.0.dylib 0x012df9f8 mono_sigill_signal_handler + 59

15 libmono.0.dylib 0x01397651 mono_add_process_object + 115

16 libmono.0.dylib 0x0139728b mono_unity_liveness_calculation_from_statics + 516

17 unity.Squad.Kerbal Space Program 0x002ea948 GarbageCollectSharedAssets(bool) + 3128

18 unity.Squad.Kerbal Space Program 0x0030b902 CleanupAfterLoad() + 18

19 unity.Squad.Kerbal Space Program 0x002efe45 LevellLoading::LoadLevel(int, std::string const&, AwakeFromLoadQueue&) + 869
20 unity.Squad.Kerbal Space Program 0x002efad7 PlayerlLoadlLevelFromThread(int, std.::string const&, AwakeFromLoadQueue&) + 39
21 unity.Squad.Kerbal Space Program 0x002f4c91 PreloadlevelOperation::IntegrateMainThread() + 65

22 unity.Squad.Kerbal Space Program 0x002f3cdb PreloadManager::UpdatePreloadingSingleStep(bool) + 299

28 unity.Squad.Kerbal Space Program 0x002f4308 PreloadManager::WaitForAllAsyncOperationsToComplete() + 136

24 unity.Squad.Kerbal Space Program 0x002f1e14 PlayerLoop(bool, bool, IHookEvent®) + 708

25 unity.Squad.Kerbal Space Program 0x0065e65c -[PlayerAppDelegate UpdatePlayer] + 252

26 com.apple.Foundation 0x991656¢f __NSFireTimer + 119

27 com.apple.CoreFoundation 0x93d71006 __CFRUNLOOP_IS_CALLING_OUT_TO_A_TIMER_CALLBACK_FUNCTION + 22
28 com.apple.CoreFoundation 0x93d70ab4 _ CFRunLoopDoTimer + 1316

29 com.apple.CoreFoundation 0x93dec54f _ CFRunLoopDoTimers + 351

30 com.apple.CoreFoundation 0x93d28531 __ CFRunLoopRun + 2081

31 com.apple.CoreFoundation 0x93d27aa6 CFRunLoopRunSpecific + 390

32 com.apple.CoreFoundation 0x93d2790b CFRunLoopRunIinMode + 123

33 com.apple.HIToolbox 0x9333f8f8 RunCurrentEventLooplnMode + 262

34 com.apple.HIToolbox 0x9333f631 ReceiveNextEventCommon + 494

35 com.apple.HIToolbox 0x9333f42c _BlockUntilNextEventMatchingListinModeWithFilter + 99

36 com.apple.AppKit 0x9444e721 _DPSNextEvent + 742

37 com.apple.AppKit 0x9444ddc5 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 350
38 com.apple.AppKit 0x9444277c -[NSApplication run] + 907

39 com.apple.AppKit 0x943b7bc0 NSApplicationMain + 2082

40 unity.Squad.Kerbal Space Program 0x0065e3ab PlayerMain(int, char const**) + 731
41 unity.Squad.Kerbal Space Program 0x00003095 start + 53

Thread 1:: Dispatch queue: com.apple.libdispatch-manager

0 libsystem_kernel.dylib 0x98ff28ce kevent64 + 10

1 libdispatch.dylib 0x953b973f _dispatch_mgr_invoke + 245
2 libdispatch.dylib 0x953b93a2 _dispatch_mgr_thread + 52
Thread 2:

0 libsystem_kernel.dylib 0x98febala semaphore_wait_trap + 10
1 libmono.0.dylib 0x01480a55 mono_sem_wait + 33

2 libmono.0.dylib 0x013c6ect finalizer_thread + 219

3 libmono.0.dylib 0x014438f5 start_wrapper + 534

4 libmono.0.dylib 0x01477334 thread_start_routine + 265
5 libmono.0.dylib 0x0149d2b1 GC_start_routine + 108

6 libsystem_pthread.dylib 0x9b952e13 _pthread_body + 138

7 libsystem_pthread.dylib 0x9b952d89 _pthread_start + 162

8 libsystem_pthread.dylib 0x9b950e52 thread_start + 34

Thread 3:: UnityLookForNewInputDevices

0 libsystem_kernel.dylib 0x98feb9ce mach_msg_trap + 10

1 libsystem_kernel.dylib 0x98feaa70 mach_msg + 68

2 com.apple.CoreFoundation 0x93d28ef6 _ CFRunLoopServiceMachPort + 214

3 com.apple.CoreFoundation 0x93d28309 __ CFRunLoopRun + 1529

4 com.apple.CoreFoundation 0x93d27aa6 CFRunLoopRunSpecific + 390

5 com.apple.CoreFoundation 0x93deb5c1 CFRunLoopRun + 129

6 unity.Squad.Kerbal Space Program 0x006695e4 LookForNewDevices(void*) + 452

7 unity.Squad.Kerbal Space Program 0x003ba491 Thread::RunThreadWrapper(void*) + 65
8 libsystem_pthread.dylib 0x9b952e13 _pthread_body + 138
9 libsystem_pthread.dylib 0x9b952d89 _pthread_start + 162
10 libsystem_pthread.dylib 0x9b950e52 thread_start + 34

Thread 4:: UnityGfxDeviceWorker

libsystem_kernel.dylib 0x98feba22 semaphore_timedwait_trap + 10

com.apple.CoreServices.CarbonCore  0x900cdd28 MPWaitOnSemaphore + 120

unity.Squad.Kerbal Space Program 0x00675482 PlatformSemaphore::WaitForSignal() + 34

unity.Squad.Kerbal Space Program  0x003bb586 ThreadedStreamBuffer::HandleReadOverflow(unsigned int&, unsigned int&) + 118
unity.Squad.Kerbal Space Program 0x00699c40 GfxDeviceWorker::RunCommand(ThreadedStreamBuffer&) + 80
unity.Squad.Kerbal Space Program 0x00699abf GfxDeviceWorker::RunGfxDeviceWorker(void*) + 79
unity.Squad.Kerbal Space Program 0x003ba491 Thread::RunThreadWrapper(void*) + 65

libsystem_pthread.dylib 0x9b952e13 _pthread_body + 138

libsystem_pthread.dylib 0x9b952d89 _pthread_start + 162

libsystem_pthread.dylib 0x9b950e52 thread_start + 34

©Co~NoOOOh~hWN-—=O

Thread 5:: UnityWorker

libsystem_kernel.dylib 0x98feba22 semaphore_timedwait_trap + 10
com.apple.CoreServices.CarbonCore  0x900cdd28 MPWaitOnSemaphore + 120
unity.Squad.Kerbal Space Program  0x00675482 PlatformSemaphore::WaitForSignal() + 34
unity.Squad.Kerbal Space Program 0x003b97c3 JobScheduler::WorkLoop(void*) + 99
unity.Squad.Kerbal Space Program 0x003ba491 Thread::RunThreadWrapper(void*) + 65
libsystem_pthread.dylib 0x9b952e13 _pthread_body + 138

libsystem_pthread.dylib 0x9b952d89 _pthread_start + 162

libsystem_pthread.dylib 0x9b950e52 thread_start + 34

NOoO Ok~ WN—=2O

Thread 6:: UnityWorker

libsystem_kernel.dylib 0x98feba22 semaphore_timedwait_trap + 10
com.apple.CoreServices.CarbonCore  0x900cdd28 MPWaitOnSemaphore + 120
unity.Squad.Kerbal Space Program 0x00675482 PlatformSemaphore::WaitForSignal() + 34
unity.Squad.Kerbal Space Program 0x003b97c3 JobScheduler::WorkLoop(void*) + 99
unity.Squad.Kerbal Space Program  0x003ba491 Thread::RunThreadWrapper(void*) + 65
libsystem_pthread.dylib 0x9b952e13 _pthread_body + 138

libsystem_pthread.dylib 0x9b952d89 _pthread_start + 162

libsystem_pthread.dylib 0x9b950e52 thread_start + 34

No o~ wWN = O

Thread 7:: UnityWorker

libsystem_kernel.dylib 0x98feba22 semaphore_timedwait_trap + 10
com.apple.CoreServices.CarbonCore  0x900cdd28 MPWaitOnSemaphore + 120
unity.Squad.Kerbal Space Program 0x00675482 PlatformSemaphore::WaitForSignal() + 34
unity.Squad.Kerbal Space Program 0x003b97c3 JobScheduler::WorkLoop(void*) + 99
unity.Squad.Kerbal Space Program 0x003ba491 Thread::RunThreadWrapper(void*) + 65
libsystem_pthread.dylib 0x9b952e13 _pthread_body + 138

libsystem_pthread.dylib 0x9b952d89 _pthread_start + 162

libsystem_pthread.dylib 0x9b950e52 thread_start + 34

No o~ W= O
Thread 8:
0 libsystem_kernel.dylib

0x98febala semaphore_wait_trap + 10

1 unity.Squad.Kerbal Space Program 0x00060ac3 algThreadJobQueueThreadFunc + 35

2 libsystem_pthread.dylib
3 libsystem_pthread.dylib

Thread 9:
0 libsystem_kernel.dylib

0x9b952d89 _pthread_start + 162
0x9b950e52 thread_start + 34

0x98febala semaphore_wait_trap + 10

1 unity.Squad.Kerbal Space Program 0x00060ac3 algThreadJobQueueThreadFunc + 35

2 libsystem_pthread.dylib
3 libsystem_pthread.dylib

Thread 10:
0 libsystem_kernel.dylib

0x9b952d89 _pthread_start + 162
0x9b950e52 thread_start + 34

0x98febala semaphore_wait_trap + 10

1 unity.Squad.Kerbal Space Program 0x00060ac3 algThreadJobQueueThreadFunc + 35

2 libsystem_pthread.dylib
3 libsystem_pthread.dylib

0x9b952d89 _pthread_start + 162
0x9b950e52 thread_start + 34

Thread 11:: UnitySubstanceThread

libsystem_kernel.dylib

0x98feba22 semaphore_timedwait_trap + 10

com.apple.CoreServices.CarbonCore  0x900cdd28 MPWaitOnSemaphore + 120

unity.Squad.Kerbal Space Program 0x00675482 PlatformSemaphore::WaitForSignal() + 34
unity.Squad.Kerbal Space Program 0x00280e5b SubstanceSystem::ThreadMain(void*) + 59
unity.Squad.Kerbal Space Program 0x003ba491 Thread::RunThreadWrapper(void*) + 65

libsystem_pthread.dylib
libsystem_pthread.dylib
libsystem_pthread.dylib

NoOo o~ W =2 O

0x9b952e13 _pthread_body + 138
0x9b952d89 _pthread_start + 162
0x9b950e52 thread_start + 34

Thread 12:: com.apple.audio.|lOThread.client

0 libsystem_kernel.dylib
1 libsystem_kernel.dylib
2 com.apple.audio.CoreAudio

0x98feb9ce mach_msg_trap + 10
0x98feaa70 mach_msg + 68
0x90bd7bb0 HALB_MachPort::SendMessageWithReply(unsigned int, unsigned int, unsigned long, unsigned

long, mach_msg_header_t*, bool, unsigned int) + 142

3 com.apple.audio.CoreAudio
unsigned int) + 72

com.apple.audio.CoreAudio
5 com.apple.audio.CoreAudio
6 com.apple.audio.CoreAudio
7 com.apple.audio.CoreAudio
8
9
1

N

libsystem_pthread.dylib
libsystem_pthread.dylib
0 libsystem_pthread.dylib

Thread 13:
libsystem_kernel.dylib
libsystem_c.dylib
libsystem_c.dylib

libsystem_pthread.dylib
libsystem_pthread.dylib
libsystem_pthread.dylib

NOoO Ok~ WN—=2O

Thread 14:: CVDisplayLink
libsystem_kernel.dylib
libsystem_pthread.dylib
libsystem_pthread.dylib
com.apple.CoreVideo
com.apple.CoreVideo
libsystem_pthread.dylib
libsystem_pthread.dylib
libsystem_pthread.dylib

No o~ wWN = O

Thread 15:: UnityPreload
libsystem_kernel.dylib

0x90bd06fe HALB_MachPort::SendSimpleMessageWithSimpleReply(unsigned int, unsigned int, int, int&, bool,

0x90bcecie HALC_ProxylOContext::IOWorkLoop() + 1148
0x90bce67a HALC_ProxylOContext::I0ThreadEntry(void*) + 156
0x90bdad09 _ ZN19HALC_ProxylOContextC2Em|_block_invoke + 20
0x90bce591 HALB_IOThread::Entry(void*) + 173

0x9b952e13 _pthread_body + 138

0x9b952d89 _pthread_start + 162

0x9b950e52 thread_start + 34

0x98ff18f6 __semwait_signal + 10

0x97fcdc06 nanosleep$UNIX2003 + 218

0x97fcdab?2 usleep$UNIX2003 + 60

unity.Squad.Kerbal Space Program 0x00a48b45 FMOD_OS_Time_Sleep(unsigned int) + 21
unity.Squad.Kerbal Space Program 0x00a2d031 FMOD::Thread::callback(void*) + 49

0x9b952e13 _pthread_body + 138
0x9b952d89 _pthread_start + 162
0x9b950e52 thread_start + 34

0x98ff1512 _ psynch_cvwait + 10
0x9b953a4a _pthread_cond_wait + 726
0x9b9571c0 pthread_cond_wait$UNIX2003 + 71
0x980ff7ef CVDisplayLink::runlOThread() + 927
0x980ff439 startlOThread(void*) + 159
0x9b952e13 _pthread_body + 138
0x9b952d89 _pthread_start + 162
0x9b950e52 thread_start + 34

0x98feba22 semaphore_timedwait_trap + 10

com.apple.CoreServices.CarbonCore  0x900cdd28 MPWaitOnSemaphore + 120
unity.Squad.Kerbal Space Program 0x00675482 PlatformSemaphore::WaitForSignal() + 34
unity.Squad.Kerbal Space Program  0x002f3fd1 PreloadManager::Run() + 433

unity.Squad.Kerbal Space Program 0x003ba491 Thread::RunThreadWrapper(void*) + 65

libsystem_pthread.dylib
libsystem_pthread.dylib

0x9b952e13 _pthread_body + 138
0x9b952d89 _pthread_start + 162

0
1
2
3
4 unity.Squad.Kerbal Space Program 0x002f3e11 PreloadManager::Run(void*) + 17
5
6
7
8

libsystem_pthread.dylib

Thread 16:

04/10/2024

0x9b950e52 thread_start + 34
0 libsystem_kernel.dylib 0x98ff18f6 ___semwait_signal + 10

1 libsystem_c.dylib 0x97fcdc06 nanosleep$UNIX2003 + 218

2 libsystem_c.dylib 0x97fcdab2 usleep$UNIX2003 + 60

3 unity.Squad.Kerbal Space Program 0x00a48b45 FMOD_OS_Time_Sleep(unsigned int) + 21
4 unity.Squad.Kerbal Space Program 0x00a2d031 FMOD::Thread::callback(void*) + 49

5 libsystem_pthread.dylib 0x9b952e13 _pthread_body + 138

6 libsystem_pthread.dylib 0x9b952d89 _pthread_start + 162

7 libsystem_pthread.dylib 0x9b950e52 thread_start + 34

Thread 17:

0 libsystem_kernel.dylib 0x98feb9ce mach_msg_trap + 10

1 libsystem_kernel.dylib 0x98feaa70 mach_msg + 68

2 com.apple.CoreFoundation 0x93d28ef6 _ CFRunLoopServiceMachPort + 214
3 com.apple.CoreFoundation 0x93d28309 __ CFRunLoopRun + 1529

4 com.apple.CoreFoundation 0x93d27aa6 CFRunLoopRunSpecific + 390

5 com.apple.CoreFoundation 0x93d2790b CFRunLoopRuninMode + 123

6 com.apple.AppKit 0x9451deal _NSEventThread + 283

7 libsystem_pthread.dylib 0x9b952e13 _pthread_body + 138

8 libsystem_pthread.dylib 0x9b952d89 _pthread_start + 162

9 libsystem_pthread.dylib 0x9b950e52 thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):

eax: 0x00000000 ebx: 0x0135¢c1c3 ecx: Oxbfffba2c edx: 0x00000000
edi: 0xa10db1d4 esi: 0x00000006 ebp: Oxbfffba48 esp: Oxbfffba2c
ss: 0x00000023 efl: 0x00000206 eip: 0x98ff169a cs: 0x0000000b
ds: 0x00000023 es: 0x00000023 fs: 0x00000000 gs: 0x0000000f
cr2: 0xa10db1e0

Logical CPU: 0
Error Code:  0x00080148
Trap Number: 132

Binary Images:

0x1000 - Oxb7ffff unity.Squad.Kerbal Space Program (Unity Player version 4.6.4f1 - 4.6.4f1) <8A005382-F6EQ-3C56-BD27-4D5E085F19AC>
[Users/USER/Library/Application Support/Steam/*/KSP.app/Contents/MacOS/KSP

0x128b000 - 0x12b1ffb +gameoverlayrenderer.dylib (1) <648088B6-2241-34D1-B910-F064C3EBBB3D>
[Applications/Steam.app/Contents/MacOS/gameoverlayrenderer.dylib

0x12d3000 - 0x12d4ffb +steamloader.dylib (0) <7D581E42-6109-3883-8EEQ-0C8160E5034A>
/Applications/Steam.app/Contents/MacOS/steamloader.dylib

0x12d7000 - 0x1550fff +libmono.0.dylib (1) <DOD1C4F2-7018-3074-B5D7-3A6B08478766> /Users/USER/Library/Application
Support/Steam/*/KSP.app/Contents/Frameworks/MonoEmbedRuntime/osx/libmono.0.dylib

0x8f6d000 - 0x8fbafff com.apple.CloudDocs (1.0 - 321.6) <EF208D9F-9E6C-3FF9-AC82-3C2B4EBFAB89>
[System/Library/PrivateFrameworks/CloudDocs.framework/CloudDocs

0x8ffc000 - 0x8ffcff9 +cl_kernels (?) <1AC046AC-7D7D-478E-8969-1D3CE84577CD> cl_kernels

0xb6cd000 - 0xb6edffb +cl_kernels (?) <65A67237-D0B5-4C8B-B29B-7924A053E6BC> cl_kernels

0xcb22000 - 0xcc0dff7 unorm8 bgra.dylib (2.4.5) <8F181889-D219-3292-B6C0-F6607D1924B0>
/Svstem/L|brarv/Frameworks/OpenCL framework/VerS|ons/A/L|brar|es/Imaquormats/unormS bgra.dylib

/Svstem/Llbrarv/ExtenS|ons/IOHIDFamlIv kext/Contents/PIuqlns/IOHIDL|b Dluqln/Contents/MacOS/IOHIDL|b

0x10d81000 - 0x10d85fff com.apple.audio.AppleHDAHALPIugln (272.18 - 272.18) <FCD052AE-05F8-39C1-A378-F10B15F589E6>
[System/Library/Extensions/AppleHDA.kext/Contents/Pluglns/AppleHDAHALPlugin.bundle/Contents/MacOS/AppleHDAHALPlugin
0x12002000 - 0x12258ffb com.apple.audio.units.Components (1.12 - 1.12) <CDBD7615-8B56-3CA5-AAQ0A-8BB4CCDD11B3>
[System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio

0x48000000 - 0x488cbfff com.apple.GeForceGLDriver (10.2.7 - 10.0.2) <F017D4B6-4C3F-3368-99CE-FB81CECOBBA3>
[System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/GeForceGL Driver

0x8fe50000 - 0x8fe83e03 dyld (353.2.1) <06B1254D-9BB9-327C-BA15-8F18FFF97586> /ust/lib/dyld

0x90008000 - 0x9000cfff libheimdal-asni.dylib (398.10.1) <6F113AF8-F5AD-330B-B029-F7AF28A93F28> /ustr/lib/libheimdal-asni.dylib
0x9000d000 - 0x90010ff7 com.apple.help (1.3.3 - 46) <FDF183E4-3B95-3CBD-A390-2536C8E7E258>
[System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help

0x90011000 - 0x90028ff3 libLinearAlgebra.dylib (1128) <B20FAAAA-1C76-3B20-B100-5FC90F7FE023>
[System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
0x90029000 - 0x9003afff libbsm.0.dylib (34) <CIF0C608-2794-3F6B-8078-583FC0046039> /ust/lib/libbsm.0.dylib

0x9003b000 - 0x9003bfff com.apple.Cocoa (6.8 - 21) <6AF80DDB-C28E-36FF-BC11-D7D561AC52A9>
[System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa

0x9003c000 - 0x9033affb _com.apple.CoreServices.CarbonCore (1108.6 - 1108.6) <ABEA5906-26AE-308F-B078-5944ABDF94DF>
[System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x9033b000 - 0x9033dffb libsystem_secinit.dylib (18) <3CBA3BD3-8BA2-358D-BD1A-A1C3DF5D84E6> /usr/lib/system/libsystem_secinit.dylib
0x9033e000 - 0x90347ffb com.apple.CommonAuth (4.0 - 2.0) <FFE760A3-FEF7-3009-92E8-893ABB3BC91A>
[System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth

0x90348000 - 0x9034ffff com.apple.speech.recognition.framework (5.0.9 - 5.0.9) <5D268178-3812-3777-92A6-D7D3395405B8>
[System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x90350000 - 0x903bbff7 com.apple.framework.CoreWiFi (3.0 - 300.4) <632A811D-4706-3ED7-85E3-DD2CDB47CF8F>
[System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi

0x903bc000 - 0x903e5fff libsystem_info.dylib (459.20.1) <91DEA2CC-26A7-32CD-ABC5-0B2754874E38> /ust/lib/system/libsystem_info.dylib
0x903e6000 - 0x904341f7 libcurl.4.dylib (83.1.2) <50E14C55-B150-39E1-BA2C-B0658D38E580> /usr/lib/libcurl.4.dylib
0x90435000 - 0x904a9fff com.apple.Heimdal (4.0 - 2.0) <0082F991-F391-31A6-915C-1FCBOADO04AC>
[System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal

0x90422000 - 0x904abfff libsystem_blocks.dylib (65) <5D98F022-E863-31D4-8ADE-D53B2AE0D331> /ust/lib/system/libsystem_blocks.dylib
0x904ac000 - 0x9065cff7 libGLProgrammability.dylib (11.1.2) <66618525-9A42-3C2F-9D4D-85E3FE883B88>
[System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib

0x9065d000 - 0x9065fffb libCGXType.A.dylib (779.11) <2B22C4C3-CF75-3909-B9A0-1B9A23028FBB>
[System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib

0x90660000 - 0x90667fff libMatch.1.dylib (24) <428CD037-5261-39A6-83EE-A7D9ABF446EB> /ust/lib/libMatch.1.dylib
0x90668000 - 0x9066afff libsystem_configuration.dylib (699.1.5) <CC818B5B-D6A6-3313-A0FD-6F781B24DAD4>
[usr/lib/system/libsystem_configuration.dylib

0x9066b000 - 0x906c1fff libc+.1.dylib (120) <D8DE4962-66CD-3491-904E-9291 EEESE5S70> /ust/lib/libc++.1.dylib

0x906¢2000 - 0x906ddff7 com.apple.CFOpenDirectory (10.10 - 187) <44C81E98-710E-30EB-829D-7374B9339345>
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
0x90a45000 - 0x90a4aff7 libcompiler_rt.dylib (35) <6630682F-AB76-3E55-BE51-0A3E61B6CFC2> /usr/lib/system/libcompiler_rt.dylib
0x90a4c000 - 0x90a5ffff com.apple.CoreBluetooth (1.0 - 1) <153F2DDE-CCCF-3C63-AF70-2EA306DACDCD>
/System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth

0x90a60000 - 0x90a62fff libsystem_sandbox.dylib (358.20.5) <FA3A0729-6839-38AC-B365-5E89A125F091>
/ust/lib/system/libsystem_sandbox.dylib

0x90a63000 - 0x90a69ff7 libsystem_networkextension.dylib (167.1.10) <FC20E3AD-A53D-3346-AC71-829E82832AE8>
/usr/lib/system/libsystem_networkextension.dylib

0x90a6a000 - 0x90a83fff libsystem_malloc.dylib (53.1.1) <568CD8BC7-55D1-3862-8E5D-728EE2EBE447> /ust/lib/system/libsystem_malloc.dylib
0x90a84000 - 0x90ab1ff7 GLRendererFloat (11.1.2) <FOE9QOECE-FBBF-3F1A-BC97-EDDB152498C1>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat
0x90ab2000 - 0x90abaffb com.apple.NetFS (6.0 - 4.0) <141BFE7E-634E-32A0-8EC9-0A1A4DFEA7D9>
/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS

0x90abb000 - 0x90ac8ff7 libbz2.1.0.dylib (36) <6BC7B049-8F03-3217-9840-B1804CCBF742> /usr/lib/libbz2.1.0.dylib
0x90ac9000 - 0x90acofff com.apple.Accelerate.vecLib (3.10 - vecLib 3.10) <F968D12F-F59D-3148-951D-76735C3C1B57>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib

0x90aca000 - 0x90b57ff3 com.apple.PerformanceAnalysis (1.0 - 1) <AADDDFC1-B4F3-311A-94EF-4D8EAFC2E2C7>
/System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis

0x90b58000 - 0x90b77ff7 com.apple.GenerationalStorage (2.0 - 209.11) <34CF76B2-8052-359D-816D-092608FB6919>
/System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage

0x90b78000 - 0x90b8cfff com.apple.ImageCapture (9.0 - 9.0) <4B84B5D5-A5F3-3B35-93CE-568A73486B92>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x90b8d000 - 0x90b94fff com.apple.agl (3.3.0 - AGL-3.3.0) <8822D220-5EA7-3A56-9EA1-5CE4861EB636>
/System/Library/Frameworks/AGL.framework/Versions/A/AGL

0x90b95000 - 0x90bbbff7 com.apple.lconServices (47.1 - 47.1) <9C537499-B375-3F84-BF4A-EEF757FC26A9>
/System/Library/PrivateFrameworks/IconServices.framework/Versions/A/lconServices

0x90bbc000 - 0x90c11ff3 com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <2AF304F7-5DA4-3035-9E15-070F16700789>
/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio

0x90c12000 - 0x90c17fff com.apple.print.framework.Print (10.0 - 265) <7C3984BB-8337-3B90-A414-17C181A45744>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print

0x90c18000 - 0x90c2bfff com.apple.Sharing (328.16 - 328.16) <57F64876-D785-3B35-91B9-B2800F800C37>
/System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing

0x90c2c000 - 0x90c2cfff libOpenScriptingUtil.dylib (162.1) <€DDD4BA8-6212-3437-8CFF-117724C12A4E> /ustr/lib/libOpenScriptingUtil.dylib
0x90c2d000 - 0x90c76ffb libFontRegistry.dylib (134.1) <6CF6177B-D5D6-3E7B-88BC-BE833D55018C>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
0x90c77000 - 0x90cb7fff libauto.dylib (186) <1609D0F9-6E3A-3C67-87EF-BBOBD93EDACY> /usr/lib/libauto.dylib

0x90cb8000 - 0x90cfbfff libGLU.dylib (11.1.2) <D044C93B-4FCF-378E-9CD4-50E2EBA17EF0>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib

0x90cfc000 - 0x90e68ff3 com.apple.avfoundation (2.0 - 889.210) <C49EA877-535F-3E27-80B2-87AACA207F33>
/System/Library/Frameworks/AVFoundation.framework/Versions/A/AVFoundation

0x90e69000 - 0x90e69fff com.apple.CoreServices (62 - 62) <08A581EC-2E8B-30CF-B555-64171C8FESEE>
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices

0x90f0a000 - 0x91099ff3 libsqlite3.dylib (168) <C3F78985-C19B-3320-9F71-543969632128> /ust/lib/libsqlite3.dylib
0x9109a000 - 0x913f4ff7 libmecabra.dylib (666.7) <65A50B97-92D3-3DDC-8E3A-58BC5FFESE3F> /ust/lib/libmecabra.dylib
0x913f5000 - 0x914dffff libcrypto.0.9.8.dylib (52.20.2) <3BBEO3EE0-9DAE-395D-8292-0371FB21EE3F> /usr/lib/libcrypto.0.9.8.dylib
0x918a1000 - 0x918adff3 libGPUSupportMercury.dylib (11.1.2) <4D408B6F-74BB-3367-A4B8-086BA2D1C3F0>
/System/Library/PrivateFrameworks/GPUSupport.framework/Versions/A/Libraries/libGPUSupportMercury.dylib

0x918ae000 - 0x91aa4fff libicucore.A.dylib (531.48) <A1002DA8-DAA9-30E8-95AE-1BF575AC5ABS5> /ust/lib/libicucore.A.dylib
0x91aa5000 - 0x91acs8fff libJPEG.dylib (1237) <6838FF44-9DF6-349E-AFB4-182F80C2DA79>
/System/Library/Frameworks/ImagelO.framework/Versions/A/Resources/libJPEG.dylib

0x91ac9000 - 0x91adOfff com.apple.XPCService (2.0 - 1) <9A59D63D-446A-33A4-BB21-56E42417DA93>
/System/Library/PrivateFrameworks/XPCService.framework/Versions/A/XPCService

0x91ad1000 - 0x91c59ff7 com.apple.audio.toolbox.AudioToolbox (1.12 - 1.12) <CA1E6D99-F534-3D3B-9AA5-038E171ADOA9>
/System/Library/Frameworks/Audio Toolbox.framework/Versions/A/AudioToolbox

0x91c5a000 - 0x91d25fff com.apple.DiscRecording (9.0 - 9000.4.2) <8E19F180-3D32-3C7A-8E73-272F2955D9A8>
/System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording

0x91d34000 - 0x91e24ff3 com.apple.DisklmagesFramework (10.10.1 - 396) <25716B90-E152-3666-92BB-FE543AEB6FA9>
/System/Library/PrivateFrameworks/Disklmages.framework/Versions/A/Disklmages

0x91e25000 - 0x91e4bff3 libxpc.dylib (559.20.9) <15931AC6-7282-332D-9A44-6CFF84AC63AF> /ust/lib/system/libxpc.dylib
0x91e4c000 - 0x91e78fff com.apple.ChunkingLibrary (2.1 - 163.6) <D5446A27-C51B-36D7-A4A1-3222A87F6F48>
/System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary

0x91e79000 - 0x91e94ff3 com.apple.openscripting (1.4 - 162.1) <CC32543F-0BEA-3022-AF35-5149C50DE9S02>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x91e95000 - 0x91f81fe7 libvMisc.dylib (516) <C784D56E-112E-359F-848B-3419E0572EB4>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91f82000 - 0x91f86ffb libGIF.dylib (1237) <F831EEB0-3193-32A7-914D-F77C7D5027E3>
/System/Library/Frameworks/ImagelO.framework/Versions/A/Resources/libGIF.dylib

0x91f87000 - 0x91fc1fff com.apple.MediaKit (16 - 757.2) <C8A90BB1-86B8-3695-B098-DDEF9A44CDC9>
/System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit

0x91fc2000 - 0x91fc2fff com.apple.Accelerate (1.10 - Accelerate 1.10) <C2367B5B-AE20-3084-A864-104743BE478E>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate

0x91fc3000 - 0x91fc4fff liblangid.dylib (117) <34A0F807-755F-300B-B01F-AABAE3838451> /usr/lib/liblangid.dylib

0x91fc5000 - 0x91fcbff3 libsystem_platform.dylib (63) <509993B7-3F26-3360-B899-0BBB15152516> /usr/lib/system/libsystem_platform.dylib
0x91fcc000 - 0x91febff7 com.apple.MultitouchSupport.framework (263.9.1 - 263.9.1) <9265A1BE-FA6F-38C7-BDFB-FAOSEEC683CE>
/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport

0x91fec000 - 0x91ff9ff3 com.apple.ProtocolBuffer (1 - 228.0.1) <B61B9562-CBDE-34E5-B19E-291A1D95D782>
/System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer

0x91ffa000 - 0x9200cff7 libsasl2.2.dylib (194.1) <34CB75C7-09BE-3319-BF7E-D4E56495F07A> /ust/lib/libsasl2.2.dylib
0x9200d000 - 0x924041ff com.apple.CoreGraphics (1.600.0 - 779.11) <C335E1BE-B524-3EE8-969F-329BE9739CC4>
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics

0x92405000 - 0x92840feb com.apple.vimage (8.0 - 8.0) <56F6B317-9D70-3DC5-9868-BB6D7CB6ES5D>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vimage.framework/Versions/A/vimage

0x92844000 - 0x92868ffb com.apple.framework.Apple80211 (10.3 - 1030.71.6) <84F7040E-713D-3BOE-8397-7CE0C377C52A>
/System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211

0x92869000 - 0x92becff7 com.apple.VideoToolbox (1.0 - 1562.235) <52EE731A-400A-3670-8904-03636C41B4CD>
/System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox

0x92bed000 - 0x92c13ff3 libc++abi.dylib (125) <E9AF8CA1-D54D-37E3-8363-A3E8C0840F 71> /ust/lib/libc++abi.dylib
0x92¢14000 - 0x92d05ffb libiconv.2.dylib (42) <4AF77F10-0BEC-3BE0-99DF-C5170EDB316B> /ust/lib/libiconv.2.dylib
0x92d06000 - 0x9301afef com.apple.CoreAUC (211.1.0 - 211.1.0) <4ECEBB32-FAA9-357E-BD7D-039E2633AAD5>
/System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC

0x9301b000 - 0x93055ff7 com.apple.DebugSymbols (115 - 115) <DO1FFA10-1734-31C5-B5A1-9CB61463FC15>
/System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols

0x93056000 - 0x930c9ffb com.apple.framework.CoreWLAN (5.0 - 500.35.2) <8D5F7007-D938-3A4D-841A-647D272D2DB6>
/System/Library/Frameworks/CoreWLAN.framework/Versions/A/Core WLAN

0x930ca000 - 0x9311dfff libstdc++.6.dylib (104.1) <DOEB2C99-5939-3ABA-9C18-D9AD75CE23A1> /usr/lib/libstdc++.6.dylib
0x9311e000 - 0x9330d2ef libobjc.A.dylib (647) <7648C174-3098-3B26-AD20-490DBFFD5D4C> /ustr/lib/libobjc.A.dylib
0x9330e000 - 0x93310fff libsystem_coreservices.dylib (9) <20E66A47-8D67-344A-A393-73926FOES5FB2>
/usr/lib/system/libsystem_coreservices.dylib

0x93311000 - 0x936eaff3 com.apple.HIToolbox (2.1.1 - 758.7) <A7B81A48-6BB9-35EC-B128-D38AD4EC7802>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x936eb000 - 0x936faffb libxar.1.dylib (255) <4FF7DB6F-3232-302F-94BC-F1188F78AF25> /usr/lib/libxar.1.dylib

0x936fb000 - 0x93700ff7 libmacho.dylib (862) <48DE74F8-09E3-344F-A82F-665083A3BF8F> /usr/lib/system/libmacho.dylib
0x93701000 - 0x937b0ffb com.apple.Bluetooth (4.3.4 - 4.3.4f4) <90D495A0-431F-363B-8818-230CB096D6E 1>
/System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth

0x938c0000 - 0x938c4ffb libcache.dylib (69) <55501A00-AF64-3554-8F46-8D5AFEDEC332> /usr/lib/system/libcache.dylib
0x938c5000 - 0x938d2ff7 com.apple.OpenDirectory (10.10 - 187) <60A9481B-2191-35A2-AB7E-E48A2B49BF09>
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory

0x938d3000 - 0x93980fff libcrypto.0.9.7.dylib (106) <19669D99-DC79-3715-BC3A-850016DDDD7F> /ust/lib/libcrypto.0.9.7.dylib
0x93981000 - 0x93a13fff com.apple.CoreSymbolication (3.1 - 57020.1) <7A6A6AD6-E46A-334F-ACC4-41B179505EC9>
/System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication

0x93a2a000 - 0x93a58ff7 libarchive.2.dylib (30) <8758D35F-ADF8-30F6-8EB2-9B852876EACS8> /usr/lib/libarchive.2.dylib
0x93a59000 - 0x93a5dfff com.apple.CommonPanels (1.2.6 - 96) <955375E6-2416-38E1-AFC6-477827119329>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x93a5e000 - 0x93a60fff com.apple.SecCodeWrapper (4.0 - 238.20.2) <E70AD7E3-F4A1-3315-ABD9-9FF5078E9EDD>
/System/Library/PrivateFrameworks/SecCodeWrapper.framework/Versions/A/SecCodeWrapper

0x93a61000 - 0x93a6dff3 libcommonCrypto.dylib (60061) <024B3913-15C6-3005-9E5A-EB24918F6977> /ust/lib/system/libcommonCrypto.dylib
0x93a6e000 - 0x93aalfe3 libsystem_m.dylib (3086.1) <951F633F-57B7-398B-912F-F6ED4DB1C597> /usr/lib/system/libsystem_m.dylib
0x932a2000 - 0x93chb0ff7 com.apple.CFNetwork (720.3.13 - 720.3.13) <2593580E-5547-37C7-A99A-9D1B086C8B69>
/System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork

0x93cb1000 - 0x94065ff7 com.apple.CoreFoundation (6.9 - 1153.18) <267B1002-C755-37B4-95CD-92358CF994B8>
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

0x94066000 - 0x94068fff com.apple.loginsupport (1.0 - 1) <BASEEADO0-8E97-3219-949B-50AE67F8869E>
/System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
0x94069000 - 0x94308ffb com.apple.RawCamera.bundle (6.03.1 - 779) <6F9D2F45-DBC7-3CB1-A412-59EBA38D0BC7>
/System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera

0x94309000 - 0x943affff com.apple.Metadata (10.7.0 - 917.35) <3A9CD210-E9CC-3C1C-A72F-278F0694C1B1>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x943b0000 - 0x943b3fff com.apple.xpc.ServiceManagement (1.0 - 1) <D23A7F03-979D-3A78-B1F6-645D2EFEEF66>
/System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement

0x943b4000 - 0x943b4fff liblaunch.dylib (559.20.9) <A0885899-CDE9-3688-8C3C-B583E24090E0> /usr/lib/system/liblaunch.dylib
0x943b5000 - 0x94fe1fff com.apple.AppKit (6.9 - 1347.57) <2E995EB6-3DB5-3FE0-B140-3E7563903322>
/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit

0x94fe2000 - 0x950f5fff com.apple.MediaControlSender (2.0 - 215.18) <D35B4B09-AE31-3028-ACEE-E86991772577>
/System/Library/PrivateFrameworks/MediaControlSender.framework/Versions/A/MediaControlSender

0x950f6000 - 0x9510dfff libsystem_asl.dylib (267) <85BD88AD-618E-3325-AC31-10DBAB8E9AF3> /usr/lib/system/libsystem_asl.dylib
0x9510e000 - 0x951abfff com.apple.ink.framework (10.9 - 213) <F47949BC-ABEE-329B-B568-71C6FEF761F6>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink

0x951ac000 - 0x95218ff3 com.apple.datadetectorscore (6.0 - 396.1.1) <A1ADB604-689E-3B00-BCB2-1B6662644BBD>
/System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore

0x95219000 - 0x9531aff7 com.apple.LaunchServices (644.56 - 644.56) <CFF2C4B8-8111-3B9B-A6F7-E2AB33163238>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x9531b000 - 0x9532bfff libGL.dylib (11.1.2) <44DD250B-CB98-3FD1-BF5B-6AD85A68BFIA>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib

0x9532¢000 - 0x953a3ff7 com.apple.CoreUtils (1.1 - 110.1) <1667BF42-48D3-3B3D-A9CF-0868178DD2EB>
/System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils

0x953a4000 - 0x953b4ff7 com.apple.LangAnalysis (1.7.0 - 1.7.0) <DBECFAD5-DB53-390C-AE92-09549733C861>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x953b5000 - 0x953dcfff libdispatch.dylib (442.1.4) <B26A176C-39F7-3362-B128-27B1211068B9> /usr/lib/system/libdispatch.dylib
0x95553000 - 0x955¢9ff7 com.apple.SearchKit (1.4.0 - 1.4.0) <3693A221-B615-37D4-9FB1-F5F6CC7EE1A7>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x955ca000 - 0x955cefff com.apple.lOAccelerator (156.14 - 156.14) <7A7AE17B-D677-3348-8AC3-B6F7BF36595E>
/System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator

0x955cf000 - 0x955d1ff3 com.apple.EFILogin (2.0 - 2) <00F6D57F-5B4F-373E-BBFF-D19E1E7F87E6>
/System/Library/PrivateFrameworks/EFILogin.framework/Versions/A/EFILogin

0x955d2000 - 0x95659fff com.apple.CoreServices.OSServices (640.4 - 640.4) <6ABC3CCE-5A4E-3CB2-AA12-3FFAB27D835A>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x9565a000 - 0x956aefff com.apple.HIServices (1.22 - 522.1) <E46DFA95-A419-32CD-AD1F-C5839F9CF923>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x956af000 - 0x95757ff7 com.apple.CoreMedia (1.0 - 1562.235) <BA4933F2-289D-354B-B3B7-451AAF9FBB96>
/System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia

0x95758000 - 0x9578bfff com.apple.CoreServicesinternal (221.7.2 - 221.7.2) <709E9F1B-D266-399B-9A4B-3785BBF64E01>
/System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal

0x9578c000 - 0x958fdffb libBLAS.dylib (1128) <ACEF468C-5DB1-38F3-BCB2-6F3D7F2B2040>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x958fe000 - 0x9592bfff com.apple.ProtectedCloudStorage (1.0 - 1) <1CF781F8-1210-3B77-964B-D85F98B90681>
/System/Library/PrivateFrameworks/ProtectedCloudStorage.framework/Versions/A/ProtectedCloudStorage

0x9592¢000 - 0x96239ffb libclh.dylib (4.0.3 - 4.0.3) <757D7708-7520-31EB-8950-3373FB596E62>
/System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/libclh.dylib

0x9623a000 - 0x96251ffb com.apple.AppContainer (4.0 - 238.20.2) <0A9A3DD3-2D64-3548-8374-96FCE828D151>
/System/Library/PrivateFrameworks/AppContainer.framework/Versions/A/AppContainer

0x972c6000 - 0x9748bfff com.apple.QuartzCore (1.10 - 361.18) <C2F1A85F-EA5E-3B73-81A2-06E3078202BC>
/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore

0x9748c000 - 0x974a6ff7 liblzma.5.dylib (7) <DOBC984D-5B33-328C-8F1E-7E9C41813433> /ust/lib/liblzma.5.dylib
0x974a7000 - 0x974a8fff libSystem.B.dylib (1213) <C45CC429-5DE4-3B01-8450-B3BD1AA03C3F> /usr/lib/libSystem.B.dylib
0x974a9000 - 0x9750dff7 com.apple.AE (681.2 - 681.2) <E56D8304-3975-32E0-BBF2-611F04209C2B>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE

0x9750e000 - 0x9754efff com.apple.Symbolication (1.4 - 56045) <BE1C4846-DA11-365D-9B46-3FF130401839>
/System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication

0x9754f000 - 0x975acff7 com.apple.print.framework.PrintCore (10.3 - 451.1) <86895179-C54B-3D8A-B515-92DFA6315FC9>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x975d7000 - 0x975dffeb libcldcpuengine.dylib (2.4.5) <DF8CD84D-565E-370D-AC80-7D43E19B7E42>
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpuengine.dylib

0x975e0000 - 0x97613fff com.apple.CoreAVCHD (5.7.5 - 5750.4.1) <103A5EA0-9B75-3B23-BE72-C4DD52744A6A>
/System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD

0x97614000 - 0x97620fff com.apple.CrashReporterSupport (10.10 - 631) <456980E6-2F31-321B-B35D-CA54B88C6F1C>
/System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport

0x97621000 - 0x97a54ff3 com.apple.vision.FaceCore (3.1.6 - 3.1.6) <EF92C25B-3E33-379F-A862-75C2FCA8B386>
/System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore

0x97a55000 - 0x97aabfff libcups.2.dylib (408.2) <425E4328-ECA1-31EE-B2C4-0D67FB8848BE> /ust/lib/libcups.2.dylib
0x97aa7000 - 0x97ab3ff7 libkxIld.dylib (2782.20.48) <A318FD58-B9BA-3548-A8C9-116DB33719A5> /usr/lib/system/libkxIld.dylib
0x97ab4000 - 0x97b0dff3 libAVFAudio.dylib (118.6) <D91F498D-AF1E-368B-9DCB-CDA3AAAOE6CD>
/System/Library/Frameworks/AVFoundation.framework/Versions/A/Resources/libAVFAudio.dylib

0x97b0e000 - 0x97da5fff com.apple.CoreData (111 - 526.3) <93295B9D-6C48-3919-8B9C-A4291D3522CE>
/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData

0x97da6000 - 0x97df7fff com.apple.opencl (2.4.2 - 2.4.2) <0751975F-97E4-3271-BA93-2FC7A5FDB940>
/System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL

0x97e2a000 - 0x97f2eff7 libJP2.dylib (1237) <3BA85AB3C-AFC7-3761-A198-D6C7317E476A>
/System/Library/Frameworks/ImagelO.framework/Versions/A/Resources/libJP2.dylib

0x97f2f000 - 0x97f4effb libresolv.9.dylib (57) <C2C3810A-A45E-3375-B41D-6E1BECE1BA3C> /usr/lib/libresolv.9.dylib
0x97f4f000 - 0x97fe4fff libsystem_c.dylib (1044.10.1) <9804163C-4DEC-3B94-9854-00248E44554F> /usr/lib/system/libsystem_c.dylib
0x97fe5000 - 0x97fe5fff com.apple.audio.units.AudioUnit (1.12 - 1.12) <CFB6243A-1613-3468-88CE-1DDBEC1E6984>
/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit

0x97fe6000 - 0x980fcff3 com.apple.desktopservices (1.9.3 - 1.9.3) <544FDA55-063A-3787-A55A-A54290E4BEGE>
/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv

0x980fd000 - 0x9812c¢fff com.apple.CoreVideo (1.8 - 145.1) <A59466FC-6B5A-3B36-BDD4-AC9CD581B7A1>
/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo

0x9812d000 - 0x9812fffb libRadiance.dylib (1237) <A9D5C5E7-8D9E-308A-BA4F-20491E3F15C4>
/System/Library/Frameworks/ImagelO.framework/Versions/A/Resources/libRadiance.dylib

0x98130000 - 0x981adff3 com.apple.framework.IOKit (2.0.2 - 1050.20.2) <84299E45-C5F3-365F-AC1B-0EAFF8057112>
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit

0x981ae000 - 0x981ebfff libsystem_network.dylib (412.20.3) <039F7709-8BFA-3299-8FD7-168145568642> /usr/lib/system/libsystem_network.dylib
0x981ec000 - 0x9826bfff com.apple.SystemConfiguration (1.14 - 1.14) <6081992E-6825-3F69-AACF-70ABFA4CE379>
/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x982a1000 - 0x983971f7 libxml2.2.dylib (26) <2F37833C-4D55-3A09-9A0C-5904E8B6892A> /usr/lib/libxml2.2.dylib
0x98398000 - 0x984cafff com.apple.UlFoundation (1.0 - 1) <B5B0D178-E1F5-3625-9391-46495E35D540>
/System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation

0x984cb000 - 0x98520ff7 com.apple.htmlrendering (77 - 1.1.4) <B85A63B9-C9DD-3ECC-B5DC-E12533C7FDF9>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x98521000 - 0x9858aff7 libcorecrypto.dylib (233.1.2) <F188C1A7-E88F-3EC5-A6AA-22C02E3F0C93> /usr/lib/system/libcorecrypto.dylib
0x9858b000 - 0x9858dfff lIbCVMSPluginSupport.dylib (11.1.2) <2C725DC9-0773-3637-B905-7A8B2001192F>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPIluginSupport.dylib

0x9858e000 - 0x986a4fff com.apple.CoreText (352.0 - 454.6) <5F236E10-C911-3AAF-8BA6-2F0F68A87443>
/System/Library/Frameworks/CoreText.framework/Versions/A/CoreText

0x986a5000 - 0x98700ffb libTIFF.dylib (1237) <CEE13162-B2D3-3AA6-82A7-AA1A02E424DF>
/System/Library/Frameworks/ImagelO.framework/Versions/A/Resources/libTIFF.dylib

0x98701000 - 0x98741ffb libGLImage.dylib (11.1.2) <9BAF083D-12EF-3CD9-A875-191B1A3CC687>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib

0x98742000 - 0x98795fff com.apple.CoreMedialO (601.0 - 4760) <A3BA21A9-5841-3C98-BBE8-A945020745DF>
/System/Library/Frameworks/CoreMedialO.framework/Versions/A/CoreMedialO

0x98796000 - 0x987b3ffb com.apple.Ubiquity (1.3 - 313) <9ED23769-0725-3D4B-B7F4-AF08020D73C3>
/System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity

0x987b4000 - 0x987b8fff libCoreVMClient.dylib (79.1) <3DB52AB1-D41E-3AC9-A355-1B6DCEDB4DFD>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib

0x987d1000 - 0x987d8ff3 libunwind.dylib (35.3) <29D9343F-9A0A-3535-BOAE-E7CC761D95EE> /usr/lib/system/libunwind.dylib
0x987d9000 - 0x987e1ff7 com.apple.icloud.FindMyDevice (1.0 - 1) <E6C21417-C63A-3CD7-9329-205057417AC1>
/System/Library/PrivateFrameworks/FindMyDevice.framework/Versions/A/FindMyDevice

0x987e2000 - 0x987ebfff libcopyfile.dylib (118.1.2) <FAF3268F-C580-33D3-A5B4-74B8A8713216> /ustr/lib/system/libcopyfile.dylib
0x987ec000 - 0x9884cfff com.apple.AppleVAFramework (5.0.31 - 5.0.31) <2FFC7C07-CA18-3959-B8F6-F620025BCD86>
/System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/Apple VA

0x9884d000 - 0x9884efff libDiagnosticMessagesClient.dylib (100) <3EE83437-AA9C-356B-810B-589346B73797>
/usr/lib/libDiagnosticMessagesClient.dylib

0x9884f000 - 0x988c5fff com.apple.securityfoundation (6.0 - 55126) <2DB5BDF8-FB04-317B-9A7F-9AC8733947BF>
/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation

0x988c6000 - 0x988d4ff3 com.apple.opengl (11.1.2 - 11.1.2) <F252DF22-C5E2-3A47-ACB6-2B02D6164A47>
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL

0x988d5000 - 0x988deff7 libsystem_notify.dylib (133.1.1) <B8503E99-214B-3AC3-A7CA-CC837ABD7B25> /ust/lib/system/libsystem_notify.dylib
0x988df000 - 0x988e2fff libextension.dylib (55.2) <BE3B5B43-A1BB-3BB6-9CD9-946BC61241FC> /usr/lib/libextension.dylib
0x988e3000 - 0x9891fff3 com.apple.RemoteViewServices (2.0 - 99) <2839C2F1-88DA-3843-87BF-441A374A8967>
/System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices

0x98920000 - 0x9892bff7 com.apple.AppSandbox (4.0 - 238.20.2) <E81603D8-FA25-3667-999C-E5A9DF790CB4>
/System/Library/PrivateFrameworks/AppSandbox.framework/Versions/A/AppSandbox

0x9892¢000 - 0x9892cfff libkeymgr.dylib (28) <06DDCEF8-EB84-3F68-9E19-FD1A12B764FD> /ust/lib/system/libkeymgr.dylib
0x9892d000 - 0x98946fff com.apple.Kerberos (3.0 - 1) <92735F11-CF1C-3FA6-8682-9A30AC9E2651>
/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos

0x98947000 - 0x989e1fff com.apple.ColorSync (4.9.0 - 4.9.0) <E3442A3A-181A-3C39-86D5-89292AF8115F>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x989e2000 - 0x98a1cfff com.apple.AirPlaySupport (2.0 - 215.18) <62CFE5FC-293F-36C8-9371-243892E55D73>
/System/Library/PrivateFrameworks/AirPlaySupport.framework/Versions/A/AirPlaySupport

0x98a1d000 - 0x98a30fff libcmph.dylib (1) <2449B048-208E-36FB-9DFA-47EO0F3BCF132> /usr/lib/libcmph.dylib

0x98a31000 - 0x98a35ff3 com.apple.TCC (1.0 - 1) <EE0D6865-A6E0-3BF0-93F1-837C09AA7978>
/System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC

0x98a36000 - 0x98a39fff libpam.2.dylib (20) <E2F34522-448A-3392-BC1D-6625BEB612B9> /ust/lib/libpam.2.dylib

0x98a3a000 - 0x98a45ff7 com.apple.NetAuth (5.2 - 5.2) <3E650FB0-5EB5-3807-8B71-8FAF64D6A0FC>
/System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth

0x98a46000 - 0x98a57fff libsystem_coretls.dylib (35.20.2) <3688680D-90B5-373F-9E0D-46809E98B023> /ust/lib/system/libsystem_coretls.dylib
0x98a58000 - 0x98b65fe3 libvDSP.dylib (516) <563F7A960-01E1-3B79-A7FD-67BD19471420>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x98b66000 - 0x98f4eff7 liIbLAPACK.dylib (1128) <4E3D1289-2C98-3E53-BB8D-AD911357FF66>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x98f4f000 - 0x98f5bff7 libcsfde.dylib (471.20.7) <95CB28B6-A722-3660-AD1B-07A7C0B8C74A> /usr/lib/libcsfde.dylib
0x98f5c000 - 0x98f90ffb com.apple.frameworks.CoreDaemon (1.3 - 1.3) <F527DB82-0D3F-359E-979B-951DFF46D45C>
/System/Library/PrivateFrameworks/CoreDaemon.framework/Versions/B/CoreDaemon

0x98f91000 - 0x98fbafff libRIP.A.dylib (779.11) <4BD501EF-1671-3165-BD7A-CF227F4BD690>
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib

0x98fbb000 - 0x98fc8ff7 com.apple.speech.synthesis.framework (5.3.3 - 5.3.3) <3771942E-13BB-30C0-9992-11EE637871DC>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x98fc9000 - 0x98fd7ff7 com.apple.SpeechRecognitionCore (2.1.2 - 2.1.2) <CDDOCAA1-DF2E-3FE1-AEE4-4C0823E6FD5C>
/System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore

0x98fd8000 - 0x98ff7fff libsystem_kernel.dylib (2782.20.48) <D1D17CE0-1D1D-3243-9E9D-78C70F19B0OED> /usr/lib/system/libsystem_kernel.dylib
0x98ffb000 - 0x99056fff com.apple.LanguageModeling (1.0 - 1) <9B39E059-F48E-31AF-B1B3-B0872F362627>
/System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling

0x99057000 - 0x9905dff7 libsystem_trace.dylib (72.20.1) <5F23BE77-1C60-3859-B528-C6B3C184C95C> /usr/lib/system/libsystem_trace.dylib
0x9905e000 - 0x9905ffff com.apple.TrustEvaluationAgent (2.0 - 25) <28BBD931-EF7C-3753-B50E-6568F4075086>
/System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent

0x99060000 - 0x99066ff7 com.apple.MediaAccessibility (1.0 - 61) <81E9530E-882C-313C-A4D5-2F43EB569E4F>
/System/Library/Frameworks/MediaAccessibility.framework/Versions/A/MediaAccessibility

0x990f6000 - 0x99113fff lIbCRFSuite.dylib (34) <781A92EF-410E-39B2-953D-FEE12748D834> /usr/lib/libCRFSuite.dylib
0x99114000 - 0x99114fff libunc.dylib (29) <CE960997-9D4A-3848-BAC7-B2255E6765FD> /usr/lib/system/libunc.dylib

04/10/2024 13/19



0x99115000 - 0x99476f3 com.apple.Foundation (6.9 - 1153.20) <B2539D54-EC35-3388-82C7-B01BB225A804>
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation

0x99e26000 - 0x99e65fff com.apple.NavigationServices (3.8 - 215.1) <46D8B66D-CB59-36F5-BD26-FD8309337BB3>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x99e66000 - 0x99e67fff libremovefile.dylib (35) <49DCAF7B-4466-3775-9E58-EA5D7CBABAEO> /ust/lib/system/libremovefile.dylib
0x9a7ec000 - 0x9a7eefff com.apple.securityhi (9.0 - 55006) <B87325C7-1F87-3D3C-874C-9DF59C8EBE1E>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityH|.framework/Versions/A/SecurityHI

0x9a7ef000 - 0x9a866fff com.apple.ApplicationServices.ATS (360 - 375.2) <A5CA2D71-673F-3FD8-B515-DAB1B3CC52C5>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS

0x9a867000 - 0x9a86bffb com.apple.lOSurface (97.4 - 97.4) <FD6AD351-BD60-337C-8D3D-42CDA7EE137C>
/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface

0x9a86e000 - 0x9a877fff libGFXShared.dylib (11.1.2) <C67D9D93-6172-3AD6-BBB2-A18C9EC94570>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib

0x9a882000 - 0x9a8a4ff3 libssl.0.9.7.dylib (106) <E0174C8B-F4E3-3B8C-9F88-1D7B088DC 155> /ust/lib/libssl.0.9.7.dylib
0x9a8a5000 - 0x9a8aefff com.apple.AppleSRP (5.0 - 1) <41C48FA8-C249-3800-A551-7F4AFA3E723F>
/System/Library/PrivateFrameworks/AppleSRP.framework/Versions/A/AppleSRP

0x9a8af000 - 0x9a8b8fff com.apple.DiskArbitration (2.6 - 2.6) <D906604A-1D8C-31BF-8F22-EA219FFC858F>
/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration

0x9a8b9000 - 0x9a8bbff7 libquarantine.dylib (76.20.1) <8694AC5A-7359-3CC6-8E93-CABFCC919D4B> /ust/lib/system/libquarantine.dylib
0x9a8bc000 - 0x9a8eeffb com.apple.GSS (4.0 - 2.0) <2E9B0C48-962E-3CAB-ABCE-0A16CFCEF53E>
/System/Library/Frameworks/GSS.framework/Versions/A/GSS

0x9a8ef000 - 0x9a8effff com.apple.Carbon (154 - 157) <CA90E930-DE59-3AD9-B158-3A940BA1FA8A>
/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon

0x9a8f0000 - 0x9a9a2fff libCoreStorage.dylib (471.20.7) <34D9A40A-97EB-3365-B809-13DA5BF569C6> /ust/lib/libCoreStorage.dylib
0x929a3000 - 0x9a9a6ffb libutil.dylib (38) <B5A16C6B-A79E-3504-BDA6-64A063F6612D> /usr/lib/libutil.dylib

0x9a9a7000 - 0x9a9afff7 libCGCMS.A.dylib (779.11) <EFC325D4-B616-3739-BAB6-D9C8B74F102F>
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGCMS.A.dylib

0x929b0000 - 0x9aa7bfff com.apple.backup.framework (1.6.4 - 1.6.4) <75DC1CA0-5D18-3E8F-A8BC-D737FC9C55C4>
/System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup

0x9ad06000 - 0x9af84ff3 com.apple.security (7.0 - 57031.20.26) <7E5439C5-752D-367F-A28A-AA34C7307981>
/System/Library/Frameworks/Security.framework/Versions/A/Security

0x9af85000 - 0x9af93ff7 libz.1.dylib (55) <DF3B8F77-8931-3A6B-8BDF-DB67315050E6> /usr/lib/libz.1.dylib

0x9b43d000 - 0x9b46cff7 com.apple.DictionaryServices (1.2 - 229) <BC958000-7A7D-3C3A-BOFF-95734A35EBOA>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x9b4c1000 - 0x9b4c4fff libdyld.dylib (353.2.1) <30CEODOE-7E82-3CD5-92E7-9C1D6AD3327C> /ustr/lib/system/libdyld.dylib
0x9b4c5000 - 0x9b4cdfff libsystem_dnssd.dylib (561.1.1) <45CDAF46-03DE-33DB-A627-14F245993EF2> /ust/lib/system/libsystem_dnssd.dylib
0x9b4ce000 - 0x9b5c5ff7 libFontParser.dylib (134.2) <1CE9DA9E-FBF3-32E4-838D-455EA531F26E>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
0x9b5c6000 - 0x9b6f4ff7 com.apple.coreui (2.1 - 308.6) <908A9C21-7AE9-3480-A858-2E4D928F661D>
/System/Library/PrivateFrameworks/CoreUl.framework/Versions/A/CoreUl

0x9b6f5000 - 0x9b8a3ffb GLEngine (11.1.2) <EO8E5A1F-548F-3334-B181-0848981F43A9>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLEngine.bundle/GLEngine

0x9b8a4000 - 0x9b8aeffb com.apple.audio.SoundManager (4.2 - 4.2) <4312D0A7-4B6F-3A1E-9A47-24C6E8C65E51>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x9b8af000 - 0x9b94ffff com.apple.QD (301 - 301) <4DFE3689-59DE-3FBC-806B-6A4056573E52>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD

0x9b950000 - 0x9b958fff libsystem_pthread.dylib (105.10.1) <4A229519-29A1-3ABF-8CEF-43BCE4ACDA06>
/usr/lib/system/libsystem_pthread.dylib

0x9b959000 - 0x9b959fff com.apple.ApplicationServices (48 - 48) <76C301A4-705B-33DE-BA11-C89DCF1EDCDD>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices

0x9b95a000 - 0x9bebaff3 com.apple.MediaToolbox (1.0 - 1562.235) <44C382D2-F7B2-312A-B6CC-AD27D0F17011>
/System/Library/Frameworks/MediaToolbox.framework/Versions/A/MediaToolbox

0x9bebb000 - 0x9beelffb libPng.dylib (1237) <7EAODEBE-4000-39D4-89E5-17F655BA317E>
/System/Library/Frameworks/ImagelO.framework/Versions/A/Resources/libPng.dylib

0x9bee2000 - 0x9c1d4ff3 com.apple.Corelmage (10.3.4) <6A0E17E6-9F56-3450-8892-670A9C489C30>
/System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/Corelmage.framework/Versions/A/Corelmage
0x9c1d5000 - 0x9c20ffff com.apple.LDAPFramework (2.4.28 - 194.5) <E3E6B657-AA4C-3D9D-8EB2-ACAC1B62DDDE>
/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP

0x9¢210000 - 0x9¢c354ff7 com.apple.ImagelO.framework (3.3.0 - 1237) <314B3F6B-4DC5-31E9-BE67-032901676A34>
/System/Library/Frameworks/ImagelO.framework/Versions/A/ImagelO

0x9c355000 - 0x9c37ffff libxslt.1.dylib (13) <OF55B64A-6C55-304E-ACE0-B531027AA066> /ust/lib/libxslt.1.dylib

0x9¢380000 - 0x9c388fff com.apple.CoreServices.FSEvents (1210.20.1 - 1210.20.1) <FDCAA783-356F-3CA4-B960-16555CD7E34A>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
0x9¢389000 - 0x9c3b5ffb libsandbox.1.dylib (358.20.5) <5AFB311B-D796-3851-BC5B-72EF603DB2B6> /usr/lib/libsandbox.1.dylib
0x9c3b6000 - 0x9c3fdff3 com.apple.AppleJPEG (1.0 - 1) <677BE130-F5AB-36F4-A51A-1FF20FC0085A>
/System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/Apple JPEG

External Modification Summary:

Calls made by other processes targeting this process:
task_for_pid: 5

thread_create: 0

thread_set_state: 0

Calls made by this process:

task_for_pid: 0

thread_create: 0
thread_set_state: 0

Calls made by all processes on this machine:
task_for_pid: 1994

thread_create: 0

thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=216.9M resident=93.1M(43%) swapped_out_or_unallocated=123.8M(57%)
Writable regions: Total=3.3G written=101.7M(3%) resident=2.3G(69%) swapped_out=0K(0%) unallocated=1.0G(31%)

CG backing stores 14.5M
CG image 88K

CG raster data 30.1M

CG shared images 336K
CoreAnimation 16K
CoreUl image data 80K
Foundation 4K

IOKit 1.6G

Kernel Alloc Once 4K
MALLOC 1.2G
MALLOC (admin) 48K
Memory Tag 242 12K
OpenCL 16K
OpenGL GLSL 128K
Stack 71.8M
VM_ALLOCATE 527.4M
VM_ALLOCATE (reserved) 40K reserved VM address space (unallocated)
_DATA 15.1M
_GLSLBUILTINS 2588K
_IMAGE 528K
_LINKEDIT 49.1M
_OBJC 2504K
_TEXT 167.8M
__UNICODE 552K
mapped file 127.6M
shared memory 68K =========== =======
TOTAL 3.7G

TOTAL, minus reserved VM space  3.7G

Model: iMac13,2, BootROM IM131.010A.B05, 4 processors, Intel Core i7, 3.4 GHz, 24 GB, SMC 2.11f14

Graphics: NVIDIA GeForce GTX 680MX, NVIDIA GeForce GTX 680MX, PCle, 2048 MB

Memory Module: BANK 0/DIMMO, 4 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54333531533643465238432D50422020
Memory Module: BANK 1/DIMMO, 4 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54333531533643465238432D50422020
Memory Module: BANK 0/DIMM1, 8 GB, DDR3, 1600 MHz, 0x859B, 0x435438473353313630424D2E4D3136464544
Memory Module: BANK 1/DIMM1, 8 GB, DDR3, 1600 MHz, 0x859B, 0x435438473353313630424D2E4D3136464544
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, OxF4), Broadcom BCM43xx 1.0 (7.15.166.24.3)
Bluetooth: Version 4.3.4f4 15601, 3 services, 27 devices, 1 incoming serial ports

Network Service: Ethernet, Ethernet, en0

Serial ATA Device: APPLE HDD ST1000DM003, 1 TB

Serial ATA Device: APPLE SSD SM128E, 121.33 GB

USB Device: USB3.0 Hub

USB Device: USB3.0 Hub

USB Device: USB2.0 Hub

USB Device: USB2.0 Hub

USB Device: iPhone

USB Device: Razer Naga 2014

USB Device: Keyboard Hub

USB Device: Apple Keyboard

USB Device: d2 Quadra

USB Device: USB2.0 Hub

USB Device: Hub

USB Device: GameCapture HD

USB Device: FaceTime HD Camera (Built-in)

USB Device: Hub

USB Device: Hub

USB Device: BRCM20702 Hub

USB Device: Bluetooth USB Host Controller

Thunderbolt Bus: iMac, Apple Inc., 23.4

#24 - 05/02/2015 09:13 PM - atabbott

It's worth noting for all the new people reporting the bug (you should continue to do so as it should hopefully make the resolve it quicker) that you can
decrease the frequency with which these crashes occur by turing down the graphics quality significantly. Far from an ideal solution but it does mean
at least you can play for longer periods of time.
#25 - 05/05/2015 03:21 PM - aidantwoods
- File kspCrashReport.rtf added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| have also experienced the issue,
Crash report attached

#26 - 05/08/2015 08:06 PM - ZenithRising
- File kspCrashinfo.txt added

Same issue here. Running OS X 10.10.3 and a vanilla KSP 1.02 install through Steam. It crashes periodically every 5-20 minutes, generally when
changing scenes (entering or exiting a building, recovering a vessel, launching a vessel, etc). lve been trying to play despite this, but it is pretty much
impossible.

Recorded logs for a dozen or so crashes in a row, but there doesn't seem to be much of a connection there. Crashes come in the form of spinning
beachballs and the program simply shutting down. | suspect this has been a problem since 0.90, when | last stopped playing due to crashes. For me,
Kerbal was much more stable in alpha.

Attached is my system information and copies of both Kerbal and system logs leading up to the crashes.

#27 - 05/09/2015 09:36 PM - mangecoeur
- File KSP_2015-05-02-235318_Jonathans-MacBook-Pro.cpu_resource.txt added

Same issue here OSX 10.10.3 , vanilla KSP 1.02 installed from Steam.
Running on Retina Macbook Pro 11,3 (late 2013) - 16GB ram, nvidia 750 2GB

Attached the spindump from one crash. Generally the game either freezes (beachball of death) or implodes instantly and drops me back as the
desktop.

Crashes are now so frequent (on average every 20mins) that the game is basically unplayable.
Reducing texture resolution manages to decrease the frequency of crashes, but doesn't really get rid of them (and looks naff to boot)

I've been noticing the bulk of complaints seem to be on the Retina Macbook Pro 15" - not sure if it's a particular problem on this machine or just that
it's a popular model (and one of the few with real gaming capacity)

#28 - 05/10/2015 09:26 PM - xenox0
- File playerlog.txt added
- File KSP.log added

| also have this issue on the latest 1.02 version of ksp.
This is a steam download with no mods.

MacBook Pro (Retina, 15-inch, Late 2013)
2.3 GHz Intel Core i7

16 GB 1600 MHz DDR3

NVIDIA GeForce GT 750M 2048 MB
0SX 10.10.3

#29 - 05/14/2015 02:06 AM - iyaro

| had the same problem on my iMac but | think | found a solution. Hope this helps someone. This is only for the Steam version 1.0.2
Here are the steps | took.

1. Delete Application Save State. Library/SaveApplicationState/com.squad...something something. I'm sure if you google it you could find the right
one.

Just delete it.

2. Create SPH and VAB folders in your game file if they don't already exist.

3. In your Steam Client, verify game cache. It'll probably download a few files. It DI'ed 4 files for me.

4. Set texture quality to half and turn off all the bell and whistles. Like VSync and such. Your resolution can be maxed out.
5. Play.
6
7

. Profit?
I've been checking the Activity Monitor and it's been running at a cool 1.51gb no matter how many times | switch scenes. Hope this help someone.

Tested on iMac and Macbook Air. (Don't recommend playing for long on an Air. Those fans kick in really quick and get super loud.)

#30 - 05/16/2015 08:06 AM - psenger

| am having the same problem. Even deleted Steam and KSP. Even followed the steps in #29... nothing.

#31 - 05/24/2015 08:54 PM - Flashheart81

Same problem here. KSP is completely unplayable since the game crashes minutes after | start it up.

It's either a spinning beachball that keeps spinning, or a grey screen that results in a crash.

KSP used to run perfectly fine in the alpha stage. | too have been having problems ever since around 0.90

Freshly downloaded from Steam and no mods.

iMac (21.5-inch, late 2012)

3,1 Ghz Intel Core i7

16GB 1600mhz DDR3

NVIDIA GeForce GT650M 512 MB
0SX10.10.3

#32 - 05/28/2015 11:03 PM - dxtr
- File KSP.log added

| am experiencing the same thing on my macbook pro.

#33 - 05/30/2015 09:16 AM - torbjorn

| have the same issue.

MacBook Pro (Retina, Mid 2012)
2.3 GHz Intel Core i7

8 GB 1600 MHz DDR3

NVIDIA GeForce GT 650M

0OS X 10.10.3

#34 - 06/05/2015 05:57 PM - DCUnit711

I am having the same problem as everyone else on this thread. *It's worth noting | am NOT running the steam version.
MacBook Pro (Retina, Late 2013)

2.3 GHz Intel Core i7

16 GB 1600 MHz DDR3

NVIDIA GeForce GT 750M

0S X 10.10.4

#35 - 07/04/2015 01:00 AM - wattsinabox
- File settings.cfg added

- File KSP.log added

- File Player.log added

Same here. It has happened with every graphics setting change | can think of. Lower resolutions seem to cause the problem to delay in showing up,
but do not resolve it completely. Granted, this is with very few trials as my patience can't really take it, so YMMV.

- Steam version

- No mods

- Mac OS X Yosemite 10.10.4

- Macbook Pro Late 2013, Retina, 15-inch
- 2.6 GHz Inel Core i7

-16 GB 1600 MHz DDR3

- NVIDIA GeForce GT 750M 2048 MB

#36 - 07/04/2015 04:57 AM - wattsinabox

| tried the stuff in #29 as a work-around and it worked. To get it working, though, | had to make sure that EVERYTHING that offered any
awesomeness in the graphic settings was disabled, as stated. In the end, | was able to turn anti-aliasing back on.

I'm pretty sure I've narrowed it down to SM3 terrain shaders or Terrain Scatters.
#37 - 07/04/2015 03:58 PM - wattsinabox

Okay, final post on this until | get some replies, not meaning to spam a post if no one is currently listening. Just wanted to note that SM3 Terrain
Shaders and Terrain Scatters are off and the problem still occurs, just less often. The problem seems to be exacerbated the more graphics features
you turn on, that's all I'm able to say at this point.

#38 - 07/07/2015 12:00 PM - Squelch

Thanks for your efforts on this matter wattsinabox.

The problem is being investigated, and we are aware of a number of issues relating to OSX. The crashes in particular have multiple causes, and
unfortunately are not 100% reproducible on all machines.

You may be aware that work is underway to update to Unity 5, and this issue will hopefully be addressed as a result of the engine improvements.

#39 - 07/22/2015 05:22 PM - mcastaneda

Hi all, | wanted to share some info on how i've managed to - almost completely - get rid of crashes like all of us are having while playing Kerbal.
My specs:

Yosemite 10.10.4

MacBook Pro (Retina, 15-inch, Mid 2014)
2.5 GHz Intel Core i7

16 GB 1600 MHz DDR3

NVIDIA GeForce GT 750M 2048 MB

Kerbal was purchase from STEAM.

What I'm doing, and it's working a lot, is to (and no, this is not advertisement and | haven't got paid a dime to say this)

a) download and install Dr. Cleaner from app store (free)

b) play Kerbal

¢) switch to finder, right click on 'dr. cleaner' on top bar, click on optimize memory - each time I'm about to click on something that will require the
'loading' screen on KSP.

d) (not sure how to explain this point using correct tech lingo) repeat ¢ - every time I'm transitioning between 'areas’. I.LE. From launch to orbit or when
approach to mun, or when going from high orbit of mun to close orbit of mun.

Why this is working I'm sure some tech savvy people will be able to explain.

It still crashes, but | can tell it's down by at least 80%.

Hope it helps,

Cheers.

Martin

#40 - 07/24/2015 09:08 PM - energo

Hello,

just wanted to let you know that I'm also having the same issue. Crashing every 10 minutes or so. Game unplayable, really frustrating, but I'm
confident you guys will figure it out.

MB Pro Retina Mid 2014

2.2 Intel i7

16 GB RAM

Intel Iris Pro 1536 MB

#41 - 02/16/2016 12:11 AM - agentthumb

| just returned this game after a 1 year hiatus only to discover the game is no longer playable. A little google search took me here where, to my horror,
discovered an issue that has been open for over a year with very little done about it. The game is unplayable in its current state...

Very disappointed :(

#42 - 03/30/2016 09:57 PM - aidantwoods

For anyone affected by this issue, it seems to be resolved when running in (some) resolutions on my machine' with the pre-release of KSP 1.1.
To get the pre-release from Steam: right click the game installation -> properties -> betas tab -> select 'prerelease’ from the dropdown.

[1] My machine. which was previously affected by this bug is the late 2013 MacBook Pro w/ retina display, 2.3Ghz base clock i7, 16 GB RAM w/
NVIDIA 750M dedicated graphics.

#43 - 07/17/2016 09:43 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#44 - 08/09/2016 11:20 AM - TriggerAu

- Status changed from Needs Clarification to Updated
- Severity changed from High to Normal

- % Done changed from 0 to 10

Lowering priority from the resolution findings, theres a few Unity things like that in the tracker - we might link them up in the next pass
